Subject: bug#25177: Test failures don't cause some Python packages to fail

From: Marius Bakke <[email-masked]>
Date: Wed, 14 Dec 2016 13:11:35 +0100

Leo Famulari <[email-masked]> writes:

> On Tue, Dec 13, 2016 at 09:21:44PM +0100, Marius Bakke wrote:
>> 
>> >>> Yikes, I had hoped to avoid addressing that Nix issue and the humongous
>> >>> "fix" for a while longer:
>> >>>
>> >>> https://github.com/NixOS/nixpkgs/pull/12552
>> >>
>> >> This puill-request is huge, but for setuptools, it comes down that they
>> >> updated from 18.2 to 19.4.
>> >
>> > Sounds like we're going down the same road. I've started a branch with
>> > the earlier patch and a few other fixes. Is it ok to overwrite the
>> > existing 'python-updates' branch on Savannah?
>> 
>> There are some commits in python-updates that haven't made its way into
>> any other branches. I created a new branch 'python-tests' for this fix.
>> 
>> Please build and fix as much as possible. I'd like to get this merged
>> ASAP. @Leo can you start this branch on Hydra?
>
> Several of the commit messages were truncated because of lines that
> began with '#:tests?'. The '#' character creates a comment.

Oh my. Thanks for taking care of that, not sure how I missed it.

> I fixed the commit messages with `git rebase`. This means that most of
> the commits are now signed by me. I didn't change the commits
> themselves.
>
> The evaluation is pending:
>
> https://hydra.gnu.org/jobset/gnu/python-tests

Great, thanks! Looks like this is going to take a while. Once this is
done, should consider reviving 'python-updates' since some breakages
seem Python 3.5 specific.